sayren Docs
상점 설정

소셜 로그인 공급자 연결 해제

키를 지운다. 이 공급자로 가입한 구매자 계정과 연결은 남아 다시 연결하면 그대로 로그인된다. 그 사이 이 공급자로만 로그인하는 구매자(`onlyMethodMemberCount`)는 로그인할 수 없다.

DELETE
/v1/store/auth-providers/{provider}

키를 지운다. 이 공급자로 가입한 구매자 계정과 연결은 남아 다시 연결하면 그대로 로그인된다. 그 사이 이 공급자로만 로그인하는 구매자(onlyMethodMemberCount)는 로그인할 수 없다.

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Path Parameters

provider*string

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X DELETE 'https://api.sayren.io/v1/store/auth-providers/string' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "passwordLoginEnabled": true,    "passwordOnlyMemberCount": 0,    "storefrontOrigins": [      "string"    ],    "providers": [      {        "provider": "kakao",        "connected": true,        "enabled": true,        "clientIdPrefix": "string",        "secretPrefix": "string",        "lastTestedAt": "string",        "lastTestOk": true,        "linkedMemberCount": 0,        "onlyMethodMemberCount": 0,        "callbackUrl": "http://example.com"      }    ]  },  "error": null}